# Uses of Interface
org.eclipse.emf.cdo.server.IQueryContext

Packages that use IQueryContext
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.

## Uses of IQueryContext in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type IQueryContext
Modifier and Type
Method
Description
`void`
IQueryHandler.`executeQuery(CDOQueryInfo info, IQueryContext context)`
Executes the `query` represented by the specified `query info` by `passing` the query results to the query execution engine represented by the specified `execution context`.

## Uses of IQueryContext in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type IQueryContext
Modifier and Type
Method
Description
`protected boolean`
OCLQueryHandler.`addResult(Object result, IQueryContext context, CDOView view)`
`protected CDOExtentMap`
OCLQueryHandler.`createExtentMap(CDOView view, CDOChangeSetData changeSetData, IQueryContext context)`
`void`
OCLQueryHandler.`executeQuery(CDOQueryInfo info, IQueryContext context)`